aboutsummaryrefslogtreecommitdiff
path: root/dev-python/packaging
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/packaging')
-rw-r--r--dev-python/packaging/Manifest3
-rw-r--r--dev-python/packaging/metadata.xml13
-rw-r--r--dev-python/packaging/packaging-21.3-r1.ebuild37
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/packaging/Manifest b/dev-python/packaging/Manifest
new file mode 100644
index 0000000..19e78db
--- /dev/null
+++ b/dev-python/packaging/Manifest
@@ -0,0 +1,3 @@
+DIST packaging-21.3.gh.tar.gz 80471 BLAKE2B a16ba1e74f0c868816131a7cb07b7aa0c14760cf3ad4c3d6737ac30ef99276c33b1f018d29e710f28e8d0cfb0e3e6b91e375d1d17e2b7ec6302164377cd503d0 SHA512 8960deacda26877b73d98a3b632e760e902a16ec7a04707f84044980e4d4fb33e4f584db115c9008066aa876079f28633bafe37fbd5ce9a23830b6b89eb4ae7a
+EBUILD packaging-21.3-r1.ebuild 958 BLAKE2B 6b8cff1a9479ec3e2529489a4c56de56b84cae71e253babbb98f5a7e4cb800cc0d0aad784a706859215863e9f92eb9df8780f4506bcb179820e155e4fc0d3c58 SHA512 8be4774229bebe45ee6935e1365c2c9c9de8a6ab8a833980738fb324fa066456e0d84e197abfe1e820a63448dc82e2e5425d3fe3f49278e64bab87afa1a544d2
+MISC metadata.xml 391 BLAKE2B 0d73ed3809b26e3069048116ab247ceeb9e2932e0d8d6063b97cc1f0ed8359e73a54b22035fedb169524e502b6a07b8203e6c35d801f738bbed685d90e12bf96 SHA512 eb4d1ca476a45232547fdd961a4e6715dda24c7ab82e1f1995ac977b9825793d5d10a2ac408b1ee0b7c8b8444f2c42be33d6fb1012461f96db9a71477cca67ae
diff --git a/dev-python/packaging/metadata.xml b/dev-python/packaging/metadata.xml
new file mode 100644
index 0000000..229a32e
--- /dev/null
+++ b/dev-python/packaging/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">packaging</remote-id>
+ <remote-id type="github">pypa/packaging</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/packaging/packaging-21.3-r1.ebuild b/dev-python/packaging/packaging-21.3-r1.ebuild
new file mode 100644
index 0000000..d39ba4b
--- /dev/null
+++ b/dev-python/packaging/packaging-21.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/"
+SRC_URI="
+ https://github.com/pypa/packaging/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ || (
+ >=dev-python/pyparsing-3.0.6[${PYTHON_USEDEP}]
+ <dev-python/pyparsing-3.0.5[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest --capture=no
+}